---
title: "Create advertiser device release year targeting"
type: reference
method: POST
path: /rest-api/advertiser/{advertiserId}/targeting/device-release-year/create.do
tag: "Targeting Rules"
---

# Create advertiser device release year targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/advertiser/{advertiserId}/targeting/device-release-year/create.do`

Creates a device release year targeting rule for the specified advertiser. The rule filters ad requests based on the year the user's device was released, using the specified comparison relation. For example, you can target devices released after 2020. Requires UPDATE permission on the advertiser and MANAGE_DEMAND_TARGETING user permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `advertiserId` | integer | yes | `1234` | Unique numeric ID of the advertiser |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `rule` | string | yes | `INCLUDE` | Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist |
| `deviceReleaseYear` | integer | yes | `2020` | Device release year to target (e.g., 2020) |
| `relation` | string | no | `GREATER_EQUAL` | Comparison relation — LOWER, GREATER, LOWER_EQUAL, GREATER_EQUAL or EQUAL; omitted, it is GREATER_EQUAL |

## Responses

- `200` — Success
- `400` — Invalid targeting value
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Advertiser not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/advertiser/1234/targeting/device-release-year/create.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'rule=INCLUDE' \
  --data-urlencode 'deviceReleaseYear=2020' \
  --data-urlencode 'relation=GREATER_EQUAL'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-advertiser-targeting-device-release-year-create